/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/
/****************************************************************************
** Form interface generated from reading ui file 'trmdialog.ui'
**
** Created: Sat Dec 27 20:40:27 2003
**      by: The User Interface Compiler ()
**
****************************************************************************/

#ifndef TRMDIALOG_H
#define TRMDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include "qmbtagger/qmbfileview.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QListView;
class QListViewItem;
class QPushButton;
class QLabel;

class TrmDialog : public QDialog
{
    Q_OBJECT
    
private:
    bool fSubmitTrm;
    
public:
    TrmDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~TrmDialog();

    QMBFileView* tracklist;
    QPushButton* lookupButton;
    QLabel* pixmapLabel1;
    QLabel* textLabel2;
    QPushButton* okButton;
    QPushButton* cancelButton;

protected:
    QGridLayout* TrmDialogLayout;
    QHBoxLayout* layout58;
    void closeEvent(QCloseEvent* e);
    
signals:
    void SaveTRMs();
    
protected slots:
    virtual void resultsFound(const int& n);
    virtual void checkSelection() const;
    virtual void languageChange();

};

#endif // TRMDIALOG_H
