/* --------------------------------------------------------------------------
   
   Domo - Dirks (Oberon) Music Organizer (http://domo.sf.net)

   Copyright (C) 2001 Dirk Gorissen, All Rights Reserved
   
   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation;
   
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
   
   You should have received a copy of the GNU General Public
   License along with this application; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------------------*/

#ifndef INC_WRITERPLS_H
#define INC_WRITERPLS_H

#ifndef INC_CD_H
#include "cd.h"
#define INC_CD_H
#endif

#ifndef INC_FILE_H
#include "file.h"
#define INC_FIlE_H
#endif

#ifndef INC_IWRITER_H
#include "iwriter.h"
#define INC_IWRITER_H
#endif

using WriterSpace::IWriter;
using FileSpace::File;
using MediaSpace::CD;

namespace WriterSpace {
    
    class WriterPls: public IWriter {
	private:
	int fCounter;
	
	public:
	WriterPls(const QString);
	virtual ~WriterPls();
	void writeHeader(const QString s="");
	virtual void writeFooter(const QString str="");
	void write(CD* m,const bool onePerFile=false);
	
    };
    
} //close namespace IWriterSpace;

#endif

