/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG Tagger
Copyright (C) 2003  Ewen Cheslack-Postava

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBMETADATA_H_
#define _QMBMETADATA_H_

#include <qstring.h>

class QMBMetadata {
public:
	QMBMetadata();
	~QMBMetadata();

	QString trmid;
	QString artistName;
	QString albumName;
	QString trackName;
	QString trackNum;
	QString duration;
	QString fileName;
	QString artistId;
	QString albumId;
	QString trackId;
};

#endif //define _QMBMETADATA_H_
